
Figure - Bug #112606
测试 Test-IT # 110961 (New): V2.0功能测试

测试 Test-IT # 111056 (New): AF-V2.0-Launcher/SystemUI----Setting

【AF】【EVT】【设置】通过长按设置添加一个电池的快捷方式，打开该快捷方式，再点击左上角的返回按
钮，页面有概率跳转至网络与互联网
2022-10-17 16:46 - CD TEST-方永红

Status: CLOSED Start date: 2022-10-17

Priority: Normal Due date: 2022-10-19

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V3.0_20221030

Need_Info: -- Found Version: FlatBuild_VX1_MCE_xx.xx_FSE.R.userdebug.0.0.0.20221014.alpha_0036

Resolution: FIXED Degrated: No

Severity: Normal Verified Version: FlatBuild_VX1_MCE_xx.xx_FSE.D.user.0.0.0.20221023.alpha

Reproducibility: Occasionally Fixed Version:

Test Type: IT Root cause: 编码问题

Description

【前提条件】

1、设备已开机

【测试步骤】

1、长按设置图标，在弹出的选择框中拖动电池，将其快捷方式添加至桌面

2、打开该快捷方式

3、点击左上角的返回按钮

【预期结果】

3、直接返回桌面

【实际结果】

3、页面有概率跳转至网络与互联网且快捷方式的标题取代该页面标题（如图）

【复现率】

10%

ps:

1、经实验，通过添加微件添加的电池快捷方式也会出现该现象

2、该现象在设置相关的快捷方式中均有出现

History

#1 - 2022-10-19 14:41 - CD AF-陈羽杰

- Status changed from New to ASSIGNED

#2 - 2022-10-19 14:42 - CD AF-陈羽杰

- Due date set to 2022-10-19

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD AF-陈羽杰 to CD TEST-方永红

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Root cause set to 编码问题
■ Current conclusion

已修复本地验证

■ My analysis

对外部跳转settings 判断不够准确，导致添加重复页面，从而导致白屏

■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Settings/+/156316

#3 - 2022-10-20 11:30 - CD TEST-方永红

- File 12.txt added

- File 电池2.png added

- Status changed from RESOLVED to VERIFY_FAILED

- Assignee changed from CD TEST-方永红 to CD AF-陈羽杰

10.20

重复10次之后再次出现该问题

#4 - 2022-10-20 18:12 - CD AF-陈羽杰

- Status changed from VERIFY_FAILED to ASSIGNED

#5 - 2022-10-21 09:39 - CD AF-陈羽杰

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD AF-陈羽杰 to CD TEST-方永红

■ Current conclusion

已修复本地验证

■ My analysis

settings未启动时快捷方式跳转到Settings会先启动wifi页面，导致返回时出现页面异常

■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Settings/+/156750

#6 - 2022-10-24 10:32 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_VX1_MCE_xx.xx_FSE.D.user.0.0.0.20221023.alpha

10.24  验证30次未复现，先关闭

#7 - 2022-10-24 10:33 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

#8 - 2022-12-22 20:45 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

156750 general/platform/packages/apps/Settin

gs

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

yujie.chen@thundersoft.com
https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Settings/+/156316
https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Settings/+/156750


AF:Settings: Fix outside jump to Settings Exception1.Press and hold the setting to add a battery shortcut,  open the shortcut, click the return button at the upper left

corner,  and the page has a probability to jump to the network and InternetTC-RID: 1201-0201813IssueID: TS-R-BUG-112606Change-Id:

I64919ee7407fb56f38aa9054b941eaafcad8fcd2

Files

电池.png 90.3 KB 2022-10-17 CD TEST-方永红

3.txt 2.5 MB 2022-10-17 CD TEST-方永红

12.txt 6.69 MB 2022-10-20 CD TEST-方永红

电池2.png 94.8 KB 2022-10-20 CD TEST-方永红
